import plugin, requests
from bot import IRCLine
BOT = None

def say(target,msg):
	if not BOT: return
	BOT.socket.send(IRCLine("PRIVMSG",target,":"+msg))

def get_gibi():
	r = requests.get("https://khuxkm.tilde.team/gibi/gibi.php")
	r.raise_for_status()
	return r.json()

def gibi(event):
	g = get_gibi()
	say(event.target if event.target.startswith("#") else event.hostmask.nick,("{}: ".format(event.hostmask.nick) if event.target.startswith("#") else " ".strip())+"Good idea: {i[good]}; Bad idea: {i[bad]} (Source: {i[source]})".format(i=g))

def register(bot):
	global BOT
	BOT=bot
	bot.event_manager.on("command_gibi",gibi)
